/************************************************************************/
/*																		*/
/*	OledChar.h	--	Interface Declarations for OledChar.c				*/
/*																		*/
/************************************************************************/
/*	Author:		Gene Apperson											*/
/*	Copyright 2011, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*																		*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	06/01/2011(GeneA): created											*/
/*																		*/
/************************************************************************/


/* ------------------------------------------------------------ */
/*					Miscellaneous Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Object Class Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Variable Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

typedef  unsigned char BYTE;

void	OledSetCursor(int xch, int ych);
void	OledGetCursor(int * pxcy, int * pych);
int	OledDefUserChar(char ch, BYTE * pbDef);
void	OledSetCharUpdate(int f);
int	OledGetCharUpdate();
void	OledPutChar(char ch);
void	OledPutString(char * sz);

/* ------------------------------------------------------------ */

/************************************************************************/
