/* 
 * File:   NRFspi.h
 * Author: rschafe2
 *
 * Created on October 29, 2014, 2:24 PM
 */

/*
 * Pin names set for the adaptere connection onthe boards.
 * Names override the numbering stuff

 */


#ifndef NRFSPI_H
#define	NRFSPI_H

/* pin assignments */

#define NRF_active PORTBbits.RB11   // active signal from deive
#define NRF_rdyn  PORTDbits.RD0    // rdny line from device (not set up for int)
#define NRF_reset LATBbits.LATB12  // reset pin
#define NRF_cs    LATBbits.LATB8  // chip select pin (reqn)

#define NRFspi_int IFS1bits.SPI4RXIF  // int flag for spi4


/* prototypes*/
void NRFspi_init(unsigned long rate);
unsigned char NRFspi_xcng(unsigned char data);


#endif	/* NRFSPI_H */

