/* 
 * File:   sleepMode.h
 * Author: mwilli31
 *
 * Created on April 14, 2015, 8:14 PM
 */

#ifndef SLEEPMODE_H
#define	SLEEPMODE_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <xc.h>

#define SleepModeSet 0x10

void sleep_mode_setup(void);
void sleep(void);

void sleep_mode_setup(void) {
    OSCCONSET = SleepModeSet;
}

void sleep(void) {

    IEC0bits.INT2IE = 1;    //enable interrupt routine
    IEC0bits.INT4IE = 1;    //enable interrupt routine
    __builtin_enable_interrupts();   //enable interrupts
    asm ("wait");
}

#ifdef	__cplusplus
}
#endif

#endif	/* SLEEPMODE_H */

