/* 
 * File:   VREF.h
 * Author: Michael Williams
 *
 * Voltage Reference Code for op-amp circuitry
 *
 * Created on April 1, 2015, 12:38 AM
 */

#ifndef VREF_H
#define	VREF_H

#ifdef	__cplusplus
extern "C" {
#endif


/*FUNCTION PROTOTYPES*/
void VRef_init(void);

/*FUNCTION DEFINITIONS*/
void VRef_init(void){
    CVRCON = 0;
    CVRCONbits.ON = 1;
    CVRCONbits.CVROE = 1;
    CVRCONbits.CVRR = 0;
    CVRCONbits.CVRSS = 1;
    CVRCONbits.CVR = 000;
}

#ifdef	__cplusplus
}
#endif

#endif	/* VREF_H */

